libzypp 17.37.10

Repository.cc File Reference
`#include <climits>`
`#include <iostream>`
`#include <utility>`
`#include <zypp/base/Logger.h>`
`#include <zypp/base/Gettext.h>`
`#include <zypp/base/Exception.h>`
`#include <zypp/base/Xml.h>`
`#include <zypp/AutoDispose.h>`
`#include <zypp/Pathname.h>`
`#include <zypp/sat/detail/PoolImpl.h>`
`#include <zypp/Repository.h>`
`#include <zypp/ResPool.h>`
`#include <zypp/Product.h>`
`#include <zypp/sat/Pool.h>`

Go to the source code of this file.

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::detail

## Macros
#define | NO_REPOSITORY_RETURN(VAL)
#define | NO_REPOSITORY_THROW(VAL)

## Macro Definition Documentation

## ◆ NO_REPOSITORY_RETURN

#define NO_REPOSITORY_RETURN | ( |  | VAL | ) |

Value:
sat::detail::CRepo * _repo( get() ); \
if ( ! _repo ) return VAL

Definition at line 46 of file Repository.cc.

## ◆ NO_REPOSITORY_THROW

#define NO_REPOSITORY_THROW | ( |  | VAL | ) |

Value:
sat::detail::CRepo * _repo( get() ); \
if ( ! _repo ) ZYPP_THROW( VAL )
ZYPP_THROW
#define ZYPP_THROW(EXCPT)
Drops a logline and throws the Exception.
Definition Exception.h:459

Definition at line 50 of file Repository.cc.